Bug 1575415 - kickstart file not allow non-ascii characters
Summary: kickstart file not allow non-ascii characters
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1585073 1608330 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 17:57 UTC by Frantisek Hanzlik
Modified: 2019-05-28 21:57 UTC (History)
13 users (show)

Fixed In Version: anaconda-29.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:57:48 UTC
Type: Bug


Attachments (Terms of Use)
/tmp/*.log (39.26 KB, application/x-gzip)
2018-05-15 14:52 UTC, Yuriy
no flags Details

Description Frantisek Hanzlik 2018-05-06 17:57:26 UTC
Description of problem:

Installing F28/x86_64/MATE from kickstart, anaconda crashes (with message as below)
when there are non-ascii characters in kickstart file, at least on places:
- --gecos item in user/root directive
- somewhere in comment line

Error from syslog (similar is displayed on screen):
org.fedoraproject.Anaconda.Boss:ERROR:pydbus.registration:Exception while handling org.fedoraproject.Anaconda.Boss.Anaconda.SplitKickstart()
org.fedoraproject.Anaconda.Boss:Traceback (most recent call last):
org.fedoraproject.Anaconda.Boss:  File "/usr/lib/python3.6/site-packages/pydbus/registration.py", line 82, in call_method
org.fedoraproject.Anaconda.Boss:    result = method(*parameters, **kwargs)
org.fedoraproject.Anaconda.Boss:  File "/usr/lib64/python3.6/site-packages/pyanaconda/modules/boss/boss_interface.py", line 67, in SplitKickstart
org.fedoraproject.Anaconda.Boss:    self.implementation.split_kickstart(path)
org.fedoraproject.Anaconda.Boss:  File "/usr/lib64/python3.6/site-packages/pyanaconda/modules/boss/boss.py", line 117, in split_kickstart
org.fedoraproject.Anaconda.Boss:    self._kickstart_manager.split(path)
org.fedoraproject.Anaconda.Boss:  File "/usr/lib64/python3.6/site-packages/pyanaconda/modules/boss/kickstart_manager/kickstart_manager.py", line 71, in split
org.fedoraproject.Anaconda.Boss:    result = ksparser.split(path)
org.fedoraproject.Anaconda.Boss:  File "/usr/lib64/python3.6/site-packages/pyanaconda/modules/boss/kickstart_manager/parser.py", line 134, in split
org.fedoraproject.Anaconda.Boss:    kickstart = f.read()
org.fedoraproject.Anaconda.Boss:  File "/usr/lib64/python3.6/encodings/ascii.py", line 26, in decode
org.fedoraproject.Anaconda.Boss:    return codecs.ascii_decode(input, self.errors)[0]
org.fedoraproject.Anaconda.Boss:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 778: ordinal not in range(128)



Version-Release number of selected component (if applicable):
anaconda 28.22.10-1.fc28


Additional info:
- In my case this occur when I was using UTF-8 chars belonging to ISO8859-2
charset (accented ascii, e.g. 'user --name=pdwfh --gecos="Řóňěžíč Šúďíš"')

- this error was not in previous Fedora releases (at least in F25 - F27)

Comment 1 Jiri Konecny 2018-05-07 07:27:08 UTC
Hello Frantisek,

Could you please provide us logs from the failed installation as plain text files? You can find them in /tmp .

Thank you.

Comment 2 Yuriy 2018-05-15 14:51:27 UTC
Heloo Jiri,

I have exactly the same problem.

Comment 3 Yuriy 2018-05-15 14:52:07 UTC
Created attachment 1436811 [details]
/tmp/*.log

Comment 4 Jiri Konecny 2018-05-16 08:02:21 UTC
Thanks for the logs Yuriy. We will look into this issue.

Comment 5 Frantisek Hanzlik 2018-05-16 08:37:56 UTC
For some unknown case I cannot add attachment. But in my case,
position 778 is position (decimal; 778==0x30A) from beginning of kickstart file,
"codec can't decode byte 0xc5" - at this position was (in comment line) character "ř" (0xC5 0x99 in UTF-8), and it was first occurence of non-ascii char in ks

Comment 6 Vendula Poncova 2018-05-21 15:50:45 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1484

Comment 7 Vendula Poncova 2018-06-04 09:26:23 UTC
*** Bug 1585073 has been marked as a duplicate of this bug. ***

Comment 8 Vendula Poncova 2018-07-26 09:53:17 UTC
*** Bug 1608330 has been marked as a duplicate of this bug. ***

Comment 9 Ben Cotton 2019-05-02 21:15:23 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 21:57:48 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.